Overview
POST
/ecosystem/ecosystem-capabilitiesecosystemCreate ecosystem_capabilities
Create a record in ecosystem-capabilities.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- capabilitystring
- configoptionalstring | number | boolean? | object | any[]?
Example
{
"ecosystemId": "string",
"capability": "string",
"config": "string"
}Responses
201
ecosystem_capabilities
- ecosystemIdstring
- capabilitystring
- configstring | number | boolean? | object | any[]?
- createdAtstring
- updatedAtstring
Example
{
"ecosystemId": "string",
"capability": "string",
"config": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/ecosystem/ecosystem-capabilities" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"capability": "string",
"config": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystem-capabilities", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"capability\": \"string\",\n \"config\": \"string\"\n}",
});
const data = await res.json();